#include "Position.h"
#include "Player.h"
#include <iostream>
using namespace std;

// main() funkcija u C++ obicno ima 'int' za povratnu vrednost, za razliku od C-a gde je povratna vrednost bila 'void'
int main() {

	// Kreiranje objekata klase Position pozivom konstruktora na nekoliko nacina
	Position p1 = Position(4, 'B');
	Position p2(-1, 'x');
	Position* p = new Position(1, 'H');

	// p1->row = -1; // NE BI SMELO => polja moraju da se definisu u privatnoj sekciji

	// Poziv funkcije clanice nad objektom
	p1.print();
	p2.print();
	p->print();

	p1.move(LEFT);
	p1.move(UP);
	p1.print();

	p1.move(LEFT);
	p1.print();

	cout << p1.sameDirection(p) << endl;
	cout << p1.sameDirection(p2) << endl;

	delete p;

	return 0;
}